@@ -33,6 +33,14 @@ matrix:
- docker
before_install:
script: ci/run-docker.sh linux32
+ - env: jobname=linux-musl-busybox
+ os: linux
+ compiler:
+ addons:
+ services:
+ - docker
+ before_install:
+ script: ci/run-docker.sh alpine
- env: jobname=StaticAnalysis
os: linux
compiler:
new file mode 100755
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# Build and test Git in Alpine Linux
+#
+# Usage:
+# run-alpine-build.sh <host-user-id>
+#
+
+set -ex
+
+useradd () {
+ adduser -D "$@"
+}
+
+. "${0%/*}/lib-docker.sh"
+
+# Update packages to the latest available versions
+apk add --update autoconf build-base curl-dev openssl-dev expat-dev \
+ gettext pcre2-dev python3 musl-libintl >/dev/null
+
+# Build and test
+su -m -l $CI_USER -c '
+ set -ex
+ cd /usr/src/git
+ test -n "$cache_dir" && ln -s "$cache_dir/.prove" t/.prove
+ autoconf
+ echo "PYTHON_PATH=/usr/bin/python3" >config.mak
+ ./configure --with-libpcre
+ make
+ make test
+'
@@ -8,6 +8,7 @@
CI_TARGET=${1:-linux32}
case "$CI_TARGET" in
linux32) CI_CONTAINER="daald/ubuntu32:xenial" ;;
+alpine) CI_CONTAINER="alpine" ;;
*) exit 1 ;;
esac
Signed-off-by: Đoàn Trần Công Danh <congdanhqx@gmail.com> --- .travis.yml | 8 ++++++++ ci/run-alpine-build.sh | 31 +++++++++++++++++++++++++++++++ ci/run-docker.sh | 1 + 3 files changed, 40 insertions(+) create mode 100755 ci/run-alpine-build.sh